#!/usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _syncContent = require('./sync-content');

var _build = require('./build');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.command('sync').option('-s, --space <space>', 'Contentful space').option('-t, --token <space>', 'Contentful access token').action(function (options) {
  return (0, _syncContent.sync)(options.space, options.token).then(function (response) {
    process.stdout.write(JSON.stringify(response));
  });
});

/* global process */

_commander2.default.command('build').option('-c, --content <content>', 'content file').option('-v, --version <version>', 'version').option('-l, --locale <locale>', 'contentful locale').option('-t, --templates <templates>', 'template directory').option('-e, --environment [environment]', 'environment', 'production').action(function (options) {
  return (0, _build.buildSite)(options.content, options.templates, options.version, options.locale, options.environment);
});

_commander2.default.parse(process.argv);